2 2

[alpine-aports] [PATCH] testing/extra-cmake-modules: update unmaintained aport to 5.31.0

Ivan Tham
Details
Message ID
<20170220161155.8360-1-pickfire@riseup.net>
Sender timestamp
1487607115
DKIM signature
missing
Download raw message
Patch: +30 -42
---
 testing/extra-cmake-modules/APKBUILD      | 30 ++++++++++++++++++++++
 unmaintained/extra-cmake-modules/APKBUILD | 42 -------------------------------
 2 files changed, 30 insertions(+), 42 deletions(-)
 create mode 100644 testing/extra-cmake-modules/APKBUILD
 delete mode 100644 unmaintained/extra-cmake-modules/APKBUILD

diff --git a/testing/extra-cmake-modules/APKBUILD b/testing/extra-cmake-modules/APKBUILD
new file mode 100644
index 0000000000..16073341b5
--- /dev/null
+++ b/testing/extra-cmake-modules/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: k0r10n <k0r10n.dev@gmail.com>
+# Contributor: Ivan Tham <pickfire@riseup.net>
+pkgname=extra-cmake-modules
+pkgver=5.31.0
+pkgrel=0
+pkgdesc="Extra CMake modules"
+url="https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
+arch="noarch"
+license="custom"
+depends="cmake"
+makedepends="py-sphinx cmake"
+subpackages="${pkgname}-doc"
+source="http://download.kde.org/stable/frameworks/${pkgver%.*}/$pkgname-$pkgver.tar.xz"
+builddir="$srcdir"/${pkgname}-${pkgver}/build
+
+build() {
+	mkdir -p "$builddir" && cd "$builddir"
+	cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=OFF || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install/fast || return 1
+
+	install -Dm644 ../COPYING-CMAKE-SCRIPTS \
+		"$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+sha512sums="3930bdf83b015ddcab4671f75e1e30f3cae7676eb88fa74e0097dd9112d6c56c68891fe69ffa232e61866f9b34ed1db748b5044e7e9c762369ad8940e854f16a  extra-cmake-modules-5.31.0.tar.xz"
diff --git a/unmaintained/extra-cmake-modules/APKBUILD b/unmaintained/extra-cmake-modules/APKBUILD
deleted file mode 100644
index 0fe909597e..0000000000
--- a/unmaintained/extra-cmake-modules/APKBUILD
@@ -1,42 +0,0 @@
-# Contributor: k0r10n <k0r10n.dev@gmail.com>
-# Maintainer:
-pkgname=extra-cmake-modules
-pkgver=1.1.0
-pkgrel=0
-pkgdesc="Extra CMake modules"
-url="https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
-arch="noarch"
-license="LGPL"
-depends=
-depends_dev="py-sphinx"
-makedepends="$depends_dev cmake"
-install=""
-subpackages="${pkgname}-doc"
-source="ftp://ftp.kde.org/pub/kde/stable/frameworks/5.1.0/${pkgname}-${pkgver}.tar.xz"
-
-_builddir="$srcdir"/${pkgname}-${pkgver}
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-	mkdir "$_builddir"/build
-}
-
-build() {
-	cd "$_builddir"/build
-	cmake -DCMAKE_INSTALL_PREFIX=/usr "$_builddir" || return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"/build
-	make DESTDIR="$pkgdir" install/fast || return 1
-}
-
-md5sums="005e28bb881718e3c381f8731fb70ea7  extra-cmake-modules-1.1.0.tar.xz"
-sha256sums="0b460126dfc5faabb64fe4f0f9ec0d247fe75cf66c2a8a5f0d66d4a45f73e303  extra-cmake-modules-1.1.0.tar.xz"
-sha512sums="76947a9ea76611e5f3593b5e60d0f2e102459d6fa85c8e7e21371bcc6d513372dfccd01c9eb021d75f9782942612d27c7ebc97c978838329c1505e2792794353  extra-cmake-modules-1.1.0.tar.xz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Timo Teras
Details
Message ID
<20170221090025.464fc0ea@vostro.util.wtbts.net>
In-Reply-To
<20170220161155.8360-1-pickfire@riseup.net> (view parent)
Sender timestamp
1487660425
DKIM signature
missing
Download raw message
On Tue, 21 Feb 2017 00:11:55 +0800
Ivan Tham <pickfire@riseup.net> wrote:

> ---
>  testing/extra-cmake-modules/APKBUILD      | 30 ++++++++++++++++++++++
>  unmaintained/extra-cmake-modules/APKBUILD | 42
> ------------------------------- 2 files changed, 30 insertions(+), 42
> deletions(-) create mode 100644 testing/extra-cmake-modules/APKBUILD
>  delete mode 100644 unmaintained/extra-cmake-modules/APKBUILD

Failed to build with:

-- Configuring done
-- Generating done
-- Build files have been written to: /home/tteras/aports/testing/extra-cmake-modules/src/extra-cmake-modules-5.31.0/build
Scanning dependencies of target documentation
[ 50%] sphinx-build html: see /home/tteras/aports/testing/extra-cmake-modules/src/extra-cmake-modules-5.31.0/build/docs/build-html.log
Traceback (most recent call last):
  File "/usr/bin/sphinx-build", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3003, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3030, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 659, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 967, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 853, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'requests>=2.4.0' distribution was not found and is required by Sphinx
make[2]: *** [docs/CMakeFiles/documentation.dir/build.make:62: docs/doc_format_html] Error 1
make[1]: *** [CMakeFiles/Makefile2:86: docs/CMakeFiles/documentation.dir/all] Error 2
make: *** [Makefile:139: all] Error 2
>>> ERROR: extra-cmake-modules: all failed





---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<1487763448.11710.352.camel@gmail.com>
In-Reply-To
<20170221090025.464fc0ea@vostro.util.wtbts.net> (view parent)
Sender timestamp
1487763448
DKIM signature
missing
Download raw message
On mar, 2017-02-21 at 09:00 +0200, Timo Teras wrote:
> On Tue, 21 Feb 2017 00:11:55 +0800
> Ivan Tham <pickfire@riseup.net> wrote:
> 
> > 
> > ---
> >  testing/extra-cmake-modules/APKBUILD      | 30
> > ++++++++++++++++++++++
> >  unmaintained/extra-cmake-modules/APKBUILD | 42
> > ------------------------------- 2 files changed, 30 insertions(+),
> > 42
> > deletions(-) create mode 100644 testing/extra-cmake-
> > modules/APKBUILD
> >  delete mode 100644 unmaintained/extra-cmake-modules/APKBUILD
> Failed to build with:
> 

It builds here, so I tried pushing it and build servers liked it.

Thanks!

|_eo